com::lomiri::location::NewerUpdateSelector Class Reference

`#include <newer_update_selector.h>`

Inheritance diagram for com::lomiri::location::NewerUpdateSelector:
Collaboration diagram for com::lomiri::location::NewerUpdateSelector:

## Public Types

typedef std::shared_ptr< NewerUpdateSelector > | Ptr
Public Types inherited from com::lomiri::location::UpdateSelector
typedef std::shared_ptr< UpdateSelector > | Ptr

## Public Member Functions

virtual WithSource< Update< Position > > | select (const WithSource< Update< Position > > &older, const WithSource< Update< Position > > &newer) override
Public Member Functions inherited from com::lomiri::location::UpdateSelector
| UpdateSelector (const UpdateSelector &)=delete
UpdateSelector & | operator= (const UpdateSelector &)=delete
virtual | ~UpdateSelector ()=default

## Additional Inherited Members

Protected Member Functions inherited from com::lomiri::location::UpdateSelector
| UpdateSelector ()=default

## Detailed Description

Definition at line 29 of file newer_update_selector.h.

## Member Typedef Documentation

## Ptr

typedef std::shared_ptr<NewerUpdateSelector> com::lomiri::location::NewerUpdateSelector::Ptr

Definition at line 32 of file newer_update_selector.h.

## Member Function Documentation

## select()

virtual WithSource< Update< Position > > com::lomiri::location::NewerUpdateSelector::select | ( | const WithSource< Update< Position > > & | older,
|  | const WithSource< Update< Position > > & | newer )

inline override virtual

Implements com::lomiri::location::UpdateSelector.

Definition at line 34 of file newer_update_selector.h.

The documentation for this class was generated from the following file:

- newer_update_selector.h